API referenceV2Operations
Get operation status and result
Retrieves the status, result or error of an asynchronous operation (e.g. created by POST /V2/export-templates, POST /V2/export-templates/{id}/duplicate, PUT /V2/export-templates/{id}, or DELETE /V2/export-templates/{id}). Use this to poll for completion and obtain the resourceId on success or the error envelope on failure.
Authorization
bearerAuth AuthorizationBearer <token>
ProductsUp Keycloak JWT bearer token.
In: header
Path Parameters
operationId*string
Operation UUID
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://export-template-api.productsup.com/V2/operations/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
"status": "queued",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"result": {
"resourceId": 0
},
"error": {
"message": "Export with id 123 not found."
}
}{
"errors": {
"message": "Resource access denied."
}
}{
"message": "Operation \"01980f10-5b04-7845-b0d5-66861c6cabb0\" not found"
}How is this guide?